Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.odftoolkit.odfdom.dom
Class OdfName

    java.lang.Object
      org.odftoolkit.odfdom.dom.OdfName

All Implemented Interfaces:
  Comparable<OdfName>

    public class OdfName

extends Object
implements Comparable<OdfName>

Method Summary
`int` | `compareTo(OdfName o)`
`boolean` | `equals(Object obj)`
`boolean` | `equals(String uri, String local_name)`
`static OdfName` | `get(OdfName name)`
`static OdfName` | `get(OdfNamespace ns, String localname)`
`static OdfName` | `get(String uri, String localname)`
`String` | `getLocalName()`
`String` | `getQName()`
`String` | `getUri()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### get

    public static OdfName get(OdfName name)

### get

    public static OdfName get(OdfNamespace ns,
                              String localname)

### get

    public static OdfName get(String uri,
                              String localname)

### getUri

    public String getUri()

### getLocalName

    public String getLocalName()

### getQName

    public String getQName()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### equals

    public boolean equals(String uri,
                          String local_name)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### compareTo

    public int compareTo(OdfName o)

  Specified by:
    `compareTo` in interface `Comparable<OdfName>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.